XML Schema API: Interface XSModelGroup

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSModelGroup

All Superinterfaces:
  XSObject, XSTerm

public interface XSModelGroup
extends XSTerm

This interface represents the Model Group schema component.

Field Summary
`static short` | `COMPOSITOR_ALL` This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model.
`static short` | `COMPOSITOR_CHOICE` This constant value signifies a choice operator.
`static short` | `COMPOSITOR_SEQUENCE` This constant value signifies a sequence operator.

Method Summary
`XSAnnotation` | `getAnnotation()` An [annotation] if it exists, otherwise `null`.
`short` | `getCompositor()` [compositor]: one of all, choice or sequence.
`XSObjectList` | `getParticles()` A list of [particles] if it exists, otherwise an empty `XSObjectList`.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### COMPOSITOR_SEQUENCE

    public static final short COMPOSITOR_SEQUENCE

  This constant value signifies a sequence operator.

### COMPOSITOR_CHOICE

    public static final short COMPOSITOR_CHOICE

  This constant value signifies a choice operator.

### COMPOSITOR_ALL

    public static final short COMPOSITOR_ALL

  This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model. No element in the all content model may appear more than once.

Method Detail

### getCompositor

    public short getCompositor()

  [compositor]: one of all, choice or sequence. The valid constant values are: `COMPOSITOR_SEQUENCE, COMPOSITOR_CHOICE, COMPOSITOR_ALL`.

### getParticles

    public XSObjectList getParticles()

  A list of [particles] if it exists, otherwise an empty `XSObjectList`.

### getAnnotation

    public XSAnnotation getAnnotation()

  An [annotation] if it exists, otherwise `null`.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.